Subject: bug#58291: closed (Re: bug#58291: 29.0.50; MacOS compilation warning for possibly unitialized use in emacs.c)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 04 Oct 2022 18:59:02 +0000

Your bug report

#58291: 29.0.50; MacOS compilation warning for possibly unitialized use in emacs.c

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
58291: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58291
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58291: 29.0.50; MacOS compilation warning for possibly unitialized use in emacs.c
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>,Gerd Möllmann <[email-masked]>
Cc: [email-masked], Andreas Schwab <[email-masked]>
Date: Tue, 4 Oct 2022 20:57:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> This is latest master as of writing this.  When compiling emacs, I see
>>
>> emacs.c:899:7: warning: variable 'bufsize' is used uninitialized whenever 'if' condition is true [-Wsometimes-uninitialized]
>>   if (!(emacs_executable && *emacs_executable))
>>       ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>> emacs.c:964:7: note: uninitialized use occurs here
>>   if (bufsize < needed)
>>       ^~~~~~~
>
> I guess this might be related to Andreas' recent fix?  Added to the CCs.

This is fixed on emacs-28 and merged to master.  Closing.

Subject: 29.0.50; MacOS compilation warning for possibly unitialized use in emacs.c
From: Gerd Möllmann <[email-masked]>
To: [email-masked]
Date: Tue, 04 Oct 2022 17:26:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

In GNU Emacs 29.0.50 (build 5, aarch64-apple-darwin21.6.0, NS
 appkit-2113.60 Version 12.6 (Build 21G115)) of 2022-10-04 built on
 Mini.fritz.box
Repository revision: 849b7756fd31a69791e67dfe010b1e10f0168c83
Repository branch: master
Windowing system distributor 'Apple', version 10.3.2113
System Description:  macOS 12.6

This is latest master as of writing this.  When compiling emacs, I see

emacs.c:899:7: warning: variable 'bufsize' is used uninitialized whenever 'if' condition is true [-Wsometimes-uninitialized]
  if (!(emacs_executable && *emacs_executable))
      ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
emacs.c:964:7: note: uninitialized use occurs here
  if (bufsize < needed)
      ^~~~~~~
emacs.c:899:3: note: remove the 'if' if its condition is always false
  if (!(emacs_executable && *emacs_executable))
  ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
emacs.c:928:3: note: variable 'bufsize' is declared here
  ptrdiff_t bufsize = exenamelen + strlen (suffix) + 1;
  ^
emacs.c:1755:17: warning: 'fork' is deprecated: Use posix_spawn or fork [-Wdeprecated-declarations]
            f = fork ();  /* in orig */